Summary: Builds packages inside chroots
Name: mock
Version: 0.4
Release: 5%{?dist}
License: GPL
Group: Development/Tools
Source: http://fedoraproject.org/projects/mock/releases/%{name}-%{version}.tar.gz
URL: http://fedoraproject.org/wiki/Projects/Mock
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: python, yum >= 2.2.1
Requires(pre): shadow-utils
BuildRequires: libselinux-devel
Patch0: mock-0.4-unpackaged-files-fix.patch

%description
Mock takes a srpm and builds it in a chroot

%prep
%setup -q

%patch0 -p1 -b .unpackaged-files-fix

%build
make


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
# make the default.cfg link
cd $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}

%if 0%{?fedora:1}
if [ -f fedora-%{fedora}-%{_target_cpu}-core.cfg ]; then
   	ln -s fedora-%{fedora}-%{_target_cpu}-core.cfg default.cfg
fi
%endif

# if we haven't created a default link yet, try to do so as devel
if [ ! -f default.cfg ]; then
    if [ -f fedora-development-%{_target_cpu}-core.cfg ]; then
        ln -s fedora-development-%{_target_cpu}-core.cfg default.cfg
    else
        ln -s fedora-development-i386-core.cfg default.cfg
    fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ $1 -eq 1 ]; then
    groupadd -r mock >/dev/null 2>&1 || :
fi



%files
%defattr(-, root, root)
%doc README ChangeLog
%dir  %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*.cfg
%{_bindir}/%{name}
%{_libexecdir}/mock-yum
%attr(04750, root, mock) %{_sbindir}/mock-helper
%attr(02775, root, mock) %dir /var/lib/mock
%{_libdir}/libselinux-mock.so


%changelog
* Tue Jan 24 2006 Dan Williams <dcbw@redhat.com> - 0.4-5
- Back out setpgrp patch, found a better way to do it in plague

* Tue Jan 24 2006 Dan Williams <dcbw@redhat.com> - 0.4-4
- Add option to create new process group so mock and its children
    may be more easily killed

* Wed Jan 18 2006 Dan Williams <dcbw@redhat.com> - 0.4-3
- Add unpackaged files fix from RH#163576 (Adrian Reber)

* Tue Aug 16 2005 Matthias Saou <http://freshrpms.net/> 0.4-2
- Fix ?fedora check when not defined (would fail to parse).

* Thu Aug  4 2005 Seth Vidal <skvidal@phy.duke.edu>
- 0.4
- update urls
- add in selinux buildreq and mock-yum file

* Sun Jun 12 2005 Jeremy Katz <katzj@redhat.com> 
- set default.cfg based on both arch and distro built for

* Sat Jun 11 2005  Seth Vidal <skvidal@phy.duke.edu>
- mock 0.3 - security release
- mock-helper allowed execution of arbitrary commands by member of mock
  group

* Sun Jun  5 2005 Seth Vidal <skvidal@phy.duke.edu>
- clean up packaging for fedora extras

* Thu May 19 2005 Seth Vidal <skvidal@phy.duke.edu>
- second packaging and backing down the yum ver req

* Sun May 15 2005 Seth Vidal <skvidal@phy.duke.edu>
- first version/packaging
